DISABLE_IRQ(9)

NAME
disable_irq - disable an irq and wait for completion

SYNOPSIS

void disable_irq (unsigned int irq);

ARGUMENTS

irq Interrupt to disable

DESCRIPTION

Disable the selected interrupt line. Enables and Disables are nested. This function waits for any pending IRQ handlers for this interrupt to complete before returning. If you use this function while holding a resource the IRQ handler may need you will deadlock.

This function may be called - with care - from IRQ context.